%define short_name commons-el

Name: jakarta-%short_name
Version: 1.1
Release: alt0.1
Summary: The Jakarta Commons Extension Language
License: Apache Software License
Group: Development/Java
Url: http://jakarta.apache.org/commons/el/
Source0: commons-el-%version-dev.tar.bz2
Source1: jakarta-servletapi-5.tar.bz2

BuildArch: noarch

BuildPreReq: /proc rpm-build-java
BuildRequires: ant junit servletapi5 jakarta-commons-logging
Requires: jakarta-commons-logging servletapi5

%description
An implementation of standard interfaces and abstract classes for
javax.servlet.jsp.el which is part of the JSP 2.0 specification.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n el

# unpack the servletapi stuff which api.home is depending on
%__tar xjf %SOURCE1

# fix license
%__cp jakarta-servletapi-5/jsr154/LICENSE .

# remove all precompiled stuff
find . -type f -name "*.jar" -exec rm -f {} \;

cat > build.properties <<EOBP
build.compiler=modern
api.home=%buildroot/%short_name-%version-src/jakarta-servletapi-5
junit.jar=%_javadir/junit.jar
commons-logging.jar=%_javadir/jakarta-commons-logging.jar
servlet-api.jar=%_javadir/servletapi5.jar
jsp-api.jar=%_javadir/jspapi5.jar
servletapi.build.notrequired=true
jspapi.build.notrequired=true
EOBP

%build
%__ant \
	-Dfinal.name=%short_name \
	jar javadoc

%install
# jars
mkdir -p %buildroot%_javadir
cp -p dist/%short_name.jar %buildroot%_javadir/%name.jar

# javadoc
mkdir -p %buildroot%_javadocdir/%name
cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt STATUS.html
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%changelog
* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.1-alt0.1
- rpm-build-java macroces
- version from cvs 20050321

* Fri Sep 10 2004 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri Jan  9 2004 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.0-1jpp
- First build for JPackage

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.0-0.2
- With Javadocs

* Wed Dec 17 2003 Kaj J. Niemi <kajtzu@fi.basen.net> - 0:1.0-0.1
- First build

